### Method

# FwupdPlugin Context lookup_quirk_by_id

since: 1.6.0

#### Declaration [src]

    const gchar*
    fu_context_lookup_quirk_by_id (
      FuContext* self,
      const gchar* guid,
      const gchar* key
    )

#### Description [src]

Looks up an entry in the hardware database using a string value.

Available since: 1.6.0

#### Parameters

`guid`

  Type: `const gchar*`

  GUID to lookup.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`key`

  Type: `const gchar*`

  An ID to match the entry, e.g. `Summary`.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `const gchar*`

Values from the database, or `NULL` if not found.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.